using System;

using System.Collections.Generic;

using System.Text;



namespace CompendiumServicesSampleCodeCS

{

    public class CompendiumFileNameDto : IComparable

    {

        private string _relatedTransactionId, _fileName, _retrieveURI, _ackURI;



        public string ackURI

        {

            get { return _ackURI; }

            set { _ackURI = value; }

        }



        public string retrieveURI

        {

            get { return _retrieveURI; }

            set { _retrieveURI = value; }

        }



        public string fileName

        {

            get { return _fileName; }

            set { _fileName = value; }

        }



        public string relatedTransactionId

        {

            get { return _relatedTransactionId; }

            set { _relatedTransactionId = value; }

        }



        #region IComparable Members



        int IComparable.CompareTo(object obj)

        {

            CompendiumFileNameDto prescriberIdentifierDto = (CompendiumFileNameDto)obj;

            return String.Compare(this.fileName, prescriberIdentifierDto.fileName);

        }



        #endregion



        public override string ToString()

        {

            return String.Format("ackURI:[{0}] retrieveURI:[{1}] fileName:[{2}] relatedTransactionId:[{3}]", this.ackURI, this.retrieveURI, this.fileName, this.relatedTransactionId);

        }

    }

}

